Load content through post in EJ2 JavaScript Accordion control

18 Dec 20245 minutes to read

Accordion supports to load external contents through AJAX library. Refer the below steps.

  • Import the Ajax module from ej2-base and initialize with URL path.

  • Get data from the Ajax Success event to initialize Accordion with retrieved external path data.

ej.base.enableRipple(true);

var ajax = new ej.base.Ajax('./ajax.html', 'GET', true);
ajax.send().then();
ajax.onSuccess = function (data) {
    var ctn2 = data;
    //Initialize Accordion component
    var accordion = new ej.navigations.Accordion({
        items: [
            { header: 'Department', content: '#acrdnContent1' },
            { header: 'Platform', content: '#acrdnContent2' },
            { header: 'Employee Details', content: ctn2 }
        ]
    });
    //Render initialized Accordion component
    accordion.appendTo('#element');
}
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 Accordion</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript Toolbar Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/32.1.19/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div id="element"></div>
        <br><br>
        <div id="result"></div>
        <div id="acrdnContent1" style="display:none">
            <ul style="margin : 0px;padding:0px 16px; list-style-type: none">
                <li>Testing</li>
                <li>Development</li>
            </ul>
        </div>
        <div id="acrdnContent2" style="display:none">
            <ul style="margin : 0px;padding:0px 16px; list-style-type: none">
                <li>Mobile</li>
                <li>Web</li>
            </ul>
        </div>
    </div>


<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>
<html><head><script src="https://cdn.syncfusion.com/ej2/32.1.19/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head><body><div>
    <div class="content">
      <img src="https://ej2.syncfusion.com/demos/src/schedule/images/alice.png" alt="alice_img">
      <br>
      <div id="headername">
        <b>Alice</b>
      </div><br><br> Alice is a software engineer. He develops the web components. He is passionate about web technologies.
    </div>
</div>
<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Load content through post in Vue Accordion component

25 May 20245 minutes to read

Accordion supports to load external contents through AJAX library. Refer the below steps.

  • Import the Ajax module from ej2-base and initialize with URL path.

  • Get data from the Ajax Success event to initialize Accordion with retrieved external path data.

<template>
  <div id="app">
    <div id="acrdnContnet1" style="display:none">
      <ul style="margin : 0px;padding:0px 16px; list-style-type: none">
        <li>Testing</li>
        <li>Development</li>
      </ul>
    </div>
    <div id="acrdnContnet2" style="display:none">
      <ul style="margin : 0px;padding:0px 16px; list-style-type: none">
        <li>Mobile</li>
        <li>Web</li>
      </ul>
    </div>
    <ejs-accordion ref="acrdnInstance">
      <e-accordionitems>
        <e-accordionitem header='Department' content='#acrdnContnet1'></e-accordionitem>
        <e-accordionitem header='Platform' content='#acrdnContnet2'></e-accordionitem>
        <e-accordionitem header='Employee Details'></e-accordionitem>
      </e-accordionitems>
    </ejs-accordion>
  </div>
</template>
<script setup>

import { AccordionComponent as EjsAccordion, AccordionItemDirective as EAccordionitem, AccordionItemsDirective as EAccordionitems } from '@syncfusion/ej2-vue-navigations';
import { Ajax } from '@syncfusion/ej2-base';
import { ref } from 'vue';

const acrdnInstance = ref(null);
const ajax = new Ajax('./Ajax.html', 'GET', true);
ajax.send().then();
ajax.onSuccess = (data) => {
  var obj = acrdnInstance.value.ej2Instances;
  obj.items[2].content = data;
  obj.refresh();
}

</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";

div#headername {
  margin-left: 100px;
}
</style>
<template>
  <div id="app">
    <div id="acrdnContnet1" style="display:none">
      <ul style="margin : 0px;padding:0px 16px; list-style-type: none">
        <li>Testing</li>
        <li>Development</li>
      </ul>
    </div>
    <div id="acrdnContnet2" style="display:none">
      <ul style="margin : 0px;padding:0px 16px; list-style-type: none">
        <li>Mobile</li>
        <li>Web</li>
      </ul>
    </div>
    <ejs-accordion ref="acrdnInstance">
      <e-accordionitems>
        <e-accordionitem header='Department' content='#acrdnContnet1'></e-accordionitem>
        <e-accordionitem header='Platform' content='#acrdnContnet2'></e-accordionitem>
        <e-accordionitem header='Employee Details'></e-accordionitem>
      </e-accordionitems>
    </ejs-accordion>
  </div>
</template>
<script>

import { AccordionComponent, AccordionItemDirective, AccordionItemsDirective } from "@syncfusion/ej2-vue-navigations";
import { Ajax } from '@syncfusion/ej2-base';

export default {
  name: "App",
  components: {
    "ejs-accordion": AccordionComponent,
    "e-accordionitems": AccordionItemsDirective,
    "e-accordionitem": AccordionItemDirective
  },

  data() {
    let ajax = new Ajax('./Ajax.html', 'GET', true);
    ajax.send().then();
    ajax.onSuccess = (data) => {
      var obj = this.$refs.acrdnInstance.ej2Instances
      obj.items[2].content = data;
      obj.refresh();
    }
  }
}

</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";

div#headername {
  margin-left: 100px;
}
</style>

Load content through post in React Accordion component

30 Jan 20237 minutes to read

Accordion supports to load external contents through AJAX library. Refer the below steps.

  • Import the Ajax module from ej2-base and initialize with URL path.

  • Get data from the Ajax Success event to initialize Accordion with retrieved external path data.

import * as React from "react";
import { useState, useEffect } from "react";
import { Ajax } from "@syncfusion/ej2-base";
import * as ReactDOM from "react-dom";
import { AccordionComponent, AccordionItemsDirective, AccordionItemDirective } from "@syncfusion/ej2-react-navigations";

const ReactApp = () => {
  const [employeeDetails, setEmployeeDetails] = useState("");

  useEffect(() => {
    const ajax = new Ajax("./ajax.html", "GET", true);
    ajax.send().then();
    ajax.onSuccess = (dataSt) => {
      setEmployeeDetails(dataSt);
    };
  }, []);

  const deptContent = () => {
    return (
      <div>
        <ul style=>
          <li>Testing</li>
          <li>Development</li>
        </ul>
      </div>
    );
  };

  const platformContent = () => {
    return (
      <div>
        <ul style=>
          <li>Mobile</li>
          <li>Web</li>
        </ul>
      </div>
    );
  };

  return (
    <AccordionComponent>
      <AccordionItemsDirective>
        <AccordionItemDirective header="Department" content={deptContent} />
        <AccordionItemDirective header="Platform" content={platformContent} />
        <AccordionItemDirective header="Employee Details" content={employeeDetails} />
      </AccordionItemsDirective>
    </AccordionComponent>
  );
};

const root = ReactDOM.createRoot(document.getElementById('element'));
root.render(<ReactApp />);
import * as React from "react";
import { useState, useEffect } from "react";
import { Ajax } from "@syncfusion/ej2-base";
import * as ReactDOM from "react-dom";
import { AccordionComponent, AccordionItemsDirective, AccordionItemDirective } from "@syncfusion/ej2-react-navigations";

const ReactApp = () => {
  const [employeeDetails, setEmployeeDetails] = useState("");

  useEffect(() => {
    const ajax = new Ajax("./ajax.html", "GET", true);
    ajax.send().then();
    ajax.onSuccess = (dataSt: string): void => {
      setEmployeeDetails(dataSt);
    };
  }, []);

  const deptContent = () => {
    return (
      <div>
        <ul style=>
          <li>Testing</li>
          <li>Development</li>
        </ul>
      </div>
    );
  };

  const platformContent = () => {
    return (
      <div>
        <ul style=>
          <li>Mobile</li>
          <li>Web</li>
        </ul>
      </div>
    );
  };

  return (
    <AccordionComponent>
      <AccordionItemsDirective>
        <AccordionItemDirective header="Department" content={deptContent} />
        <AccordionItemDirective header="Platform" content={platformContent} />
        <AccordionItemDirective header="Employee Details" content={employeeDetails} />
      </AccordionItemsDirective>
    </AccordionComponent>
  );
};

const root = ReactDOM.createRoot(document.getElementById('element'));
root.render(<ReactApp />);
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Essential JS 2 Accordion Ajax Sample</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/material.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
    <style>
        #loader {
            color: #008cff;
            height: 40px;
            left: 45%;
            position: absolute;
            top: 45%;
            width: 30%;
        }

        div#headername {
           margin-left: 100px;
        }
    </style>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    <div id='element'>
        <div id='loader'>Loading....</div></div>
</body>
</html>

Load content through post in Angular Accordion component

18 Sep 20253 minutes to read

The Angular Accordion component supports loading dynamic external content into its items using the AJAX library from @syncfusion/ej2-base. This feature is useful for fetching HTML, JSON, or other data from APIs or remote servers.

Follow these steps to load content via AJAX:

  • Import the Ajax module from @syncfusion/ej2-base and initialize it with the URL path.

  • Retrieve data from the AJAX success event and use it to initialize or update the Accordion.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { AccordionModule } from '@syncfusion/ej2-angular-navigations'



import { Component, ViewChild } from '@angular/core';
import { Ajax } from '@syncfusion/ej2-base';
import { AccordionComponent} from '@syncfusion/ej2-angular-navigations';

@Component({
imports: [
         AccordionModule
    ],


standalone: true,
    selector: 'app-container',
    template: `
    <div id="acrdnContnet1" style="display:none">
        <ul style="margin : 0px;padding:0px 16px; list-style-type: none">
          <li>Testing</li>
          <li>Development</li>
        </ul>
    </div>
    <div id="acrdnContnet2" style="display:none">
      <ul style="margin : 0px;padding:0px 16px; list-style-type: none">
        <li>Mobile</li>
        <li>Web</li>
      </ul>
    </div>
    <ejs-accordion #acrdnInstance>
      <e-accordionitems>
        <e-accordionitem header='Department' content = '#acrdnContnet1'></e-accordionitem>
        <e-accordionitem header='Platform' content = '#acrdnContnet2'></e-accordionitem>
        <e-accordionitem header='Employee Details'></e-accordionitem>
      </e-accordionitems>
    </ejs-accordion>
        `
})

export class AppComponent {
    @ViewChild('acrdnInstance') acrdnInstance?: AccordionComponent;
    public contentData?: string;

    ngOnInit() {
    let ajax: Ajax = new Ajax('./ajax.html', 'GET', true);
    ajax.send().then();
    ajax.onSuccess = (data: string): void => {
       (this.acrdnInstance as AccordionComponent).items[2].content = data;
       (this.acrdnInstance as AccordionComponent).refresh();
    };
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));